(defun c:fww(/ getentbldefn)
  (setq orios (getvar "osmode"))
  (setvar "osmode" 0)
  (setq view0 (getvar "viewctr"))
  (setq view1 (getvar "viewsize"))
  (setq ss (ssget '((0 . "*polyline")(62 . 6))))
  (if (/= ss nil)
    (progn
      (command "undo" "be")
      (setq sslen (sslength ss))
      (setq i 0)
      (repeat sslen
	(setq ss_name (ssname ss i))
	(setq pt (vlax-curve-getstartpoint (vlax-ename->vla-object ss_name))) ;
	(setq x1 (car pt))
	(setq y1 (cadr pt))
	(setq x11 (- x1 0.2))
	(setq y11 (- y1 0.2))
	(setq x22 (+ x1 0.2))
	(setq y22 (+ y1 0.2))
	(setq pt1 (list x11 y11))
	(setq pt2 (list x22 y22))
	(setq pt3 (vlax-curve-getendpoint (vlax-ename->vla-object ss_name))) ; 
	(setq x3 (car pt3))
	(setq y3 (cadr pt3))
	(setq x33 (- x3 0.2))
	(setq y33 (- y3 0.2))
	(setq x44 (+ x3 0.2))
	(setq y44 (+ y3 0.2))
	(setq pt4 (list x33 y33))
	(setq pt5 (list x44 y44))

	(command "zoom" "c" pt "10")
	(setq ss2 (ssget "c" pt1 pt2 '((0 . "*polyline")(62 . 256))))
	(if (/= ss2 nil)
	  (progn
	    (setq sn (ssname ss2 0))
	    (setq getentbldefn (MAP:GetEnTableDefn sn))
	    (setq xy1 (vlax-curve-getClosestPointTo (vlax-ename->vla-object sn) pt))
	    (vl-cmdf "_.break" sn "f" xy1 "@")
	    (setq e1 (entlast))
	    (if (/= getentbldefn nil)
	      (progn
		(MAP:SetEnTableDefn e1 getentbldefn) ;  ü OD .
		(setq getentbldefn nil)
		)
	      )
	    (command "stretch" (ssget "c" pt1 pt2 '((0 . "*polyline")(62 . 256))) "" xy1 pt)
	    )
	  )


	(command "zoom" "c" pt3 "10")
	(setq ss2 (ssget "c" pt4 pt5 '((0 . "*polyline")(62 . 256))))
	(if (/= ss2 nil)
	  (progn
	    (setq sn (ssname ss2 0))
	    (setq getentbldefn (MAP:GetEnTableDefn sn))
	    (setq xy2 (vlax-curve-getClosestPointTo (vlax-ename->vla-object sn) pt3))
	    (vl-cmdf "_.break" sn "f" xy2 "@")
	    (setq e1 (entlast))
	    (if (/= getentbldefn nil)
	      (progn
		(MAP:SetEnTableDefn e1 getentbldefn) ;  ü OD .
		(setq getentbldefn nil)
		)
	      )
	    (command "stretch" (ssget "c" pt4 pt5 '((0 . "*polyline")(62 . 256))) "" xy2 pt3)
	    )
	  )
	(setq i (+ i 1))
	)
      )
    )
  (command "zoom" "c" view0 view1)
  (setvar "osmode" orios)
  (command "undo" "e")
  (princ "\n~~~ Ÿ    bylayer   Ϸ~~~")
  (princ)
)